Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003411 [JEDI VCL] 00 JVCL Components minor always 2006-01-04 05:13 2007-01-04 11:10
Reporter marcgeldon View Status public  
Assigned To outchy
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003411: TJvDBGrid Feature Idea "AllowDelete"
Description Is there any interest for a new property called "AllowDelete" on an TJvDBGrid?

If this property is "False", then it shouldn't be possible to delete anything on the TJvDBGrid with a key combination. If it is "True", nothing changes.

If there is any interested for this feature, I would really like to integrate it. Just give me response.


Best wishes,

Marc Geldon
(PRO IT SYSTEMS)
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008308)
Informatix (developer)
2006-01-06 04:31

Yes, I'm interested.
(0008885)
obones (administrator)
2006-04-04 06:11

Any news here Marc?
(0008990)
marcgeldon (reporter)
2006-04-05 06:57

currently no news. But as soon as I have the time, I will do it!
(0009469)
obones (administrator)
2006-06-08 07:00

Any expected timeframe? Just so that I do not close this issue too soon for lack of activity.
(0009893)
obones (administrator)
2006-07-29 07:25

Reminder sent to: marcgeldon

Hello?
(0010113)
user72
2006-09-13 01:37

Is this the same as the existing ReadOnly property?
(0010410)
ultimo (reporter)
2006-11-03 08:19

In ReadOnly mode you can't edit data, with this property you can edit but you can't delete

Create a new property on JvDBGrid i.e. CanDelete boolean

on KeyDown where check key pressed

[cut]
VK_DELETE:
  if not CanDelete then Exit;
  [cut]

if you want I post the code
(0010541)
outchy (administrator)
2007-01-04 11:07

Fixed in revision 11134.

- Issue History
Date Modified Username Field Change
2006-01-04 05:13 marcgeldon New Issue
2006-01-06 04:31 Informatix Note Added: 0008308
2006-04-04 06:11 obones Note Added: 0008885
2006-04-04 06:11 obones Status new => feedback
2006-04-05 06:57 marcgeldon Note Added: 0008990
2006-06-08 07:00 obones Note Added: 0009469
2006-07-29 07:25 obones Note Added: 0009893
2006-09-13 01:37 user72 Note Added: 0010113
2006-09-28 00:48 cornievs Issue Monitored: cornievs
2006-11-03 08:19 ultimo Note Added: 0010410
2006-11-08 03:43 ultimo Issue Monitored: ultimo
2007-01-04 11:07 outchy Status feedback => resolved
2007-01-04 11:07 outchy Fixed in Version => Daily / SVN
2007-01-04 11:07 outchy Resolution open => fixed
2007-01-04 11:07 outchy Assigned To => outchy
2007-01-04 11:07 outchy Note Added: 0010541


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker